local languages = {
    ["Abkhaz"] = "ab",
    ["Aceh"] = "ace",
    ["Acoli"] = "ach",
    ["Afar"] = "aa",
    ["Afrikaans"] = "af",
    ["Albania"] = "sq",
    ["Alur"] = "alz",
    ["Amharik"] = "am",
    ["Arab"] = "ar",
    ["Armenia"] = "hy",
    ["Assam"] = "as",
    ["Avar"] = "av",
    ["Awadhi"] = "awa",
    ["Aymara"] = "ay",
    ["Azerbaijan"] = "az",
    ["Bali"] = "ban",
    ["Baluchi"] = "bal",
    ["Bambara"] = "bm",
    ["Baoulé"] = "bci",
    ["Bashkir"] = "ba",
    ["Bask"] = "eu",
    ["Batak Karo"] = "btx",
    ["Batak Simalungun"] = "bts",
    ["Batak Toba"] = "btg",
    ["Belanda"] = "nl",
    ["Belarussia"] = "be",
    ["Bemba"] = "bem",
    ["Bengali"] = "bn",
    ["Betawi"] = "bew",
    ["Bhojpuri"] = "bho",
    ["Bikol"] = "bcl",
    ["Bosnia"] = "bs",
    ["Breton"] = "br",
    ["Bulgaria"] = "bg",
    ["Buriat"] = "bua",
    ["Ceko"] = "cs",
    ["Chamorro"] = "ch",
    ["Chechen"] = "ce",
    ["Chichewa"] = "ny",
    ["China (Aks. Sederhana)"] = "zh-CN",
    ["China (Aks. Tradisional)"] = "zh-TW",
    ["Chuuke"] = "chk",
    ["Chuvash"] = "cv",
    ["Dari"] = "prs",
    ["Denmark"] = "da",
    ["Dinka"] = "din",
    ["Divehi"] = "dv",
    ["Dogri"] = "doi",
    ["Dombe"] = "doe",
    ["Dyula"] = "dyu",
    ["Dzongkha"] = "dz",
    ["Esperanto"] = "eo",
    ["Estonia"] = "et",
    ["Ewe"] = "ee",
    ["Faroe"] = "fo",
    ["Farsi"] = "fa",
    ["Fiji"] = "fj",
    ["Finlandia"] = "fi",
    ["Fon"] = "fon",
    ["Frisia"] = "fy",
    ["Friuli"] = "fur",
    ["Fulani"] = "ff",
    ["Ga"] = "gaa",
    ["Gaelig"] = "gd",
    ["Gaelik Skotlandia"] = "gla", -- Mungkin sama dengan Gaelig, tergantung sumber daftar
    ["Galisia"] = "gl",
    ["Georgia"] = "ka",
    ["Guarani"] = "gn",
    ["Gujarati"] = "gu",
    ["Hakha Chin"] = "cnh",
    ["Hausa"] = "ha",
    ["Hawaii"] = "haw",
    ["Hiligaynon"] = "hil",
    ["Hindi"] = "hi",
    ["Hmong"] = "hmn",
    ["Hungaria"] = "hu",
    ["Hunsrik"] = "hrx",
    ["Iban"] = "iba",
    ["Ibrani"] = "he",
    ["Igbo"] = "ig",
    ["Iloko"] = "ilo",
    ["Indonesia"] = "id",
    ["Inggris"] = "en",
    ["Inuktut (Latin)"] = "iu-Latn", -- Lebih spesifik jika ada varian
    ["Inuktut (Silabis)"] = "iu-Cans", -- Lebih spesifik jika ada varian
    ["Islandia"] = "is",
    ["Italia"] = "it",
    ["Jawa"] = "jv",
    ["Jepang"] = "ja",
    ["Jerman"] = "de",
    ["Jingpo"] = "kac",
    ["Kalaallisut"] = "kl",
    ["Kannada"] = "kn",
    ["Kanton"] = "yue",
    ["Kanuri"] = "kr",
    ["Katalan"] = "ca",
    ["Kazakh"] = "kk",
    ["Kekchi"] = "kek",
    ["Khasi"] = "kha",
    ["Khmer"] = "km",
    ["Kiga"] = "cgg",
    ["Kinyarwanda"] = "rw",
    ["Kirgiz"] = "ky",
    ["Kituba"] = "ktu",
    ["Kokborok"] = "trp",
    ["Komi"] = "kv",
    ["Kongo"] = "kg",
    ["Konkani"] = "kok",
    ["Korea"] = "ko",
    ["Korsika"] = "co",
    ["Kreol Haiti"] = "ht",
    ["Kreol Mauritius"] = "mfe",
    ["Kreol Seselwa"] = "crs",
    ["Krio"] = "kri",
    ["Kroasia"] = "hr",
    ["Kurdi (Kurmanji)"] = "kmr",
    ["Kurdi (Sorani)"] = "ckb",
    ["Lao"] = "lo",
    ["Latgalia"] = "ltg",
    ["Latin"] = "la",
    ["Latvia"] = "lv",
    ["Liguria"] = "lij",
    ["Limburgia"] = "li",
    ["Lingala"] = "ln",
    ["Lituania"] = "lt",
    ["Lombard"] = "lmo",
    ["Luganda"] = "lg",
    ["Luksemburg"] = "lb",
    ["Luo"] = "luo", -- Mungkin 'Luo (Kenya dan Tanzania)' jika perlu spesifik
    ["Madura"] = "mad",
    ["Maithili"] = "mai",
    ["Makassar"] = "mak",
    ["Makedonia"] = "mk",
    ["Malagasi"] = "mg",
    ["Malayalam"] = "ml",
    ["Malta"] = "mt",
    ["Mam"] = "mam",
    ["Manx"] = "gv",
    ["Maori"] = "mi",
    ["Marathi"] = "mr",
    ["Marshall"] = "mh",
    ["Marwari"] = "mwr",
    ["Maya Yukatek"] = "yua",
    ["Meadow Mari"] = "mhr",
    ["Meitei (Manipuri)"] = "mni", -- atau "omp- হ্যাঁ, এটা আমার জন্য সহায়ক।"
    ["Melayu"] = "ms",
    ["Melayu (Jawi)"] = "ms-Arab", -- Jika menggunakan skrip Jawi
    ["Minangkabau"] = "min",
    ["Mizo"] = "lus",
    ["Mongolia"] = "mn",
    ["Myanmar"] = "my",
    ["N’Ko"] = "nqo",
    ["Nahuatl (Huasteca Timur)"] = "nhw", -- Atau kode Nahuatl yang lebih umum
    ["Ndau"] = "ndc",
    ["Ndebele (Selatan)"] = "nr",
    ["Nepal"] = "ne",
    ["Nepal Bhasa (Newari)"] = "new",
    ["Norwegia"] = "no",
    ["Nuer"] = "nus",
    ["Odia (Oriya)"] = "or",
    ["Oromo"] = "om",
    ["Ositania"] = "oc",
    ["Ossetia"] = "os",
    ["Pampanga"] = "pam",
    ["Pangasina"] = "pag",
    ["Papiamento"] = "pap",
    ["Pashto"] = "ps",
    ["Patois Jamaika"] = "jam", -- Mungkin perlu dicek kode resminya
    ["Polandia"] = "pl",
    ["Portugis (Brasil)"] = "pt-BR",
    ["Portugis (Portugal)"] = "pt-PT",
    ["Prancis"] = "fr",
    ["Prancis (Kanada)"] = "fr-CA",
    ["Punjabi (Gurmukhi)"] = "pa",
    ["Punjabi (Shahmukhi)"] = "pnb", -- Skrip Arab
    ["Quechua"] = "qu",
    ["Romani"] = "rmy", -- atau "rom"
    ["Rumania"] = "ro",
    ["Rundi"] = "rn",
    ["Rusia"] = "ru",
    ["Sami (Utara)"] = "se",
    ["Samoa"] = "sm",
    ["Sango"] = "sg",
    ["Sanskerta"] = "sa",
    ["Santali (Chiki Lama)"] = "sat-Olck", -- Menggunakan skrip Ol Chiki
    ["Santali (Latin)"] = "sat-Latn", -- Menggunakan skrip Latin
    ["Sebuano"] = "ceb",
    ["Sepedi"] = "nso",
    ["Serb"] = "sr",
    ["Sesotho"] = "st",
    ["Shan"] = "shn",
    ["Shona"] = "sn",
    ["Silesia"] = "szl",
    ["Sindhi"] = "sd",
    ["Sinhala"] = "si",
    ["Sisilia"] = "scn",
    ["Slovakia"] = "sk",
    ["Slovenia"] = "sl",
    ["Somali"] = "so",
    ["Spanyol"] = "es",
    ["Sunda"] = "su",
    ["Susu"] = "sus",
    ["Swahili"] = "sw",
    ["Swati"] = "ss",
    ["Swedia"] = "sv",
    ["Tagalog"] = "tl",
    ["Tahiti"] = "ty",
    ["Tajik"] = "tg",
    ["Tamazight"] = "tzm", -- Biasanya menggunakan skrip Latin
    ["Tamazight (Tifinagh)"] = "zgh", -- Atau "ber-Tfng" jika ingin spesifik skrip Tifinagh
    ["Tamil"] = "ta",
    ["Tatar"] = "tt",
    ["Tatar Krimea (Latin)"] = "crh-Latn",
    ["Tatar Krimea (Sirilik)"] = "crh-Cyrl",
    ["Telugu"] = "te",
    ["Tetun"] = "tet",
    ["Thai"] = "th",
    ["Tibet"] = "bo",
    ["Tigrinya"] = "ti",
    ["Tiv"] = "tiv",
    ["Tok Pisin"] = "tpi",
    ["Tonga"] = "to",
    ["Tshiluba"] = "lua", -- Perhatikan ini 'lua', bukan 'lu'
    ["Tsonga"] = "ts",
    ["Tswana"] = "tn",
    ["Tulu"] = "tcy",
    ["Tumbuka"] = "tum",
    ["Turkiye"] = "tr",
    ["Turkmen"] = "tk",
    ["Tuvinia"] = "tyv",
    ["Twi"] = "tw", -- Atau 'ak' untuk Akan
    ["Udmurt"] = "udm",
    ["Ukraina"] = "uk",
    ["Urdu"] = "ur",
    ["Uyghur"] = "ug",
    ["Uzbek"] = "uz",
    ["Venda"] = "ve",
    ["Venesia"] = "vec",
    ["Vietnam"] = "vi",
    ["Warai"] = "war", -- Waray-Waray
    ["Welsh"] = "cy",
    ["Wolof"] = "wo",
    ["Xhosa"] = "xh",
    ["Yakut"] = "sah",
    ["Yiddi"] = "yi",
    ["Yoruba"] = "yo",
    ["Yunani"] = "el",
    ["Zapotek"] = "za", -- Ini adalah kode ISO 639-2, mungkin perlu kode yang lebih spesifik
    ["Zulu"] = "zu"
}

return languages